Bug 1251415 - [abrt] meld: filediff.py:1456:<genexpr>:KeyError: None
[abrt] meld: filediff.py:1456:<genexpr>:KeyError: None
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: meld (Show other bugs)
22
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Dominic Hopf
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:8fa1f0db1d30e6dbce6f0ee6e59...
:
: 1231615 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-07 05:20 EDT by Aidan Delaney
Modified: 2016-07-19 13:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:24:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (472 bytes, text/plain)
2015-08-07 05:20 EDT, Aidan Delaney
no flags Details
File: environ (3.43 KB, text/plain)
2015-08-07 05:20 EDT, Aidan Delaney
no flags Details

  None (edit)
Description Aidan Delaney 2015-08-07 05:20:21 EDT
Version-Release number of selected component:
meld-3.13.2-1.fc22

Additional info:
reporter:       libreport-2.6.2
cmdline:        /usr/bin/python /usr/bin/meld --output pom.xml ./pom_LOCAL_938.xml ./pom_BASE_938.xml ./pom_REMOTE_938.xml
executable:     /usr/bin/meld
kernel:         4.0.7-300.fc22.x86_64
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
filediff.py:1456:<genexpr>:KeyError: None

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/meld/filediff.py", line 1456, in on_diffs_changed
    nl_string = ", ".join(NEWLINES[n] for n in nl_types)
  File "/usr/lib/python2.7/site-packages/meld/filediff.py", line 1456, in <genexpr>
    nl_string = ", ".join(NEWLINES[n] for n in nl_types)
KeyError: None

Local variables in innermost frame:
.0: <tupleiterator object at 0x7efc742a5390>
n: None
Comment 1 Aidan Delaney 2015-08-07 05:20:24 EDT
Created attachment 1060292 [details]
File: backtrace
Comment 2 Aidan Delaney 2015-08-07 05:20:25 EDT
Created attachment 1060293 [details]
File: environ
Comment 3 Dominic Hopf 2015-09-08 17:26:45 EDT
*** Bug 1231615 has been marked as a duplicate of this bug. ***
Comment 4 Fedora End Of Life 2016-07-19 13:24:23 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.